/* Prototypes _not_ depending on memory model */

extern _CLibFunc void _heapalgnsplt(_pHeapNode node, size_t size);
extern _CLibFunc _pHeapNode _heapfree(REG _pHeapNode thisNode, _pHeapNode const prevNode);
extern _CLibFunc _pHeapNode _heapsearch(const size_t size);
extern _CLibFunc void _heapsplit(_pHeapNode node,size_t size);
extern _CLibFunc void huge *_retNULL(void);

/* Prototypes _depending_ on current memory model */

extern _CLibFunc _pHeapNode _heapfind(void const * const poi,_pHeapNode * const prev);
extern _CLibFunc void  *calloc(const size_t num,const size_t size);
extern _CLibFunc void  *realloc(void  *poi,size_t size);
extern _CLibFunc void  *malloc(const size_t size);
extern _CLibFunc int free(void * const poi);


#ifndef _FARDATA
extern _CLibFunc _pHeapNode _fheapfind(void const far* const poi,_pHeapNode * const prev);
extern _CLibFunc void far *_fcalloc(const size_t num,const size_t size);
extern _CLibFunc void far *_frealloc(void far *poi,size_t size);
extern _CLibFunc void far *_fmalloc(const size_t size);
extern _CLibFunc int _ffree(void far* const poi);

#else
#define _fheapfind _heapfind
#define _fcalloc calloc
#define _frealloc realloc
#define _fmalloc malloc
#define _ffree free
#endif


#ifndef _HUGEDATA
extern _CLibFunc _pHeapNode _hheapfind(void const huge* const poi,_pHeapNode * const prev);
extern _CLibFunc void huge *_hcalloc(const hsize_t num,const hsize_t size);
extern _CLibFunc void huge *_hrealloc(void huge *poi,hsize_t size);
extern _CLibFunc void huge *_hmalloc(const hsize_t size);
extern _CLibFunc int _hfree(void huge* const poi);

#else
#define _hheapfind _heapfind
#define _hcalloc calloc
#define _hrealloc realloc
#define _hmalloc malloc
#define _hfree free
#endif
